Subject: Re: [PATCH net] team: fix possible deadlock in team_port_change_check

From: Jakub Kicinski <[email-masked]>
Date: Thu, 1 Aug 2024 17:49:58 -0700

On Fri, 2 Aug 2024 07:51:19 +0900 Jeongjun Park wrote:
> > You didn't even run this thru checkpatch, let alone the fact that its
> > reimplementing nested locks (or trying to) :(
> >
> > Some of the syzbot reports are not fixed because they are either hard
> > or because there is a long standing disagreement on how to solve them.
> > Please keep that in mind.  
> 
> Okay, but I have a question. Is it true that team devices can also be
> protected through rtnl? As far as I know, rtnl only protects net_device,
> so I didn't think about removing the lock for team->lock.

Yes, but I think that gets us into the "long standing disagreement"
territory :) You may be able to find previous attempt to remove
team->lock in the mailing list archive.